package com.rjconsultores.ventaboletos.vo.impressaofiscal;

import java.math.BigDecimal;

public class LeitorNaoFiscalVO implements Comparable<LeitorNaoFiscalVO> {

	private Integer empresaId;
	private String nombempresa;
	private String datamov;
	private Integer tipoeventoextraId;
	private String desctipoevento;
	private BigDecimal valorTotal;

	public LeitorNaoFiscalVO() {
		super();
		setValorTotal(BigDecimal.ZERO);
	}

	public Integer getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}

	public String getNombempresa() {
		return nombempresa;
	}

	public void setNombempresa(String nombempresa) {
		this.nombempresa = nombempresa;
	}

	public String getDatamov() {
		return datamov;
	}

	public void setDatamov(String datamov) {
		this.datamov = datamov;
	}

	public Integer getTipoeventoextraId() {
		return tipoeventoextraId;
	}

	public void setTipoeventoextraId(Integer tipoeventoextraId) {
		this.tipoeventoextraId = tipoeventoextraId;
	}

	public String getDesctipoevento() {
		return desctipoevento;
	}

	public void setDesctipoevento(String desctipoevento) {
		this.desctipoevento = desctipoevento;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((datamov == null) ? 0 : datamov.hashCode());
		result = prime * result + ((empresaId == null) ? 0 : empresaId.hashCode());
		result = prime * result + ((tipoeventoextraId == null) ? 0 : tipoeventoextraId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		LeitorNaoFiscalVO other = (LeitorNaoFiscalVO) obj;
		if (datamov == null) {
			if (other.datamov != null)
				return false;
		} else if (!datamov.equals(other.datamov))
			return false;
		if (empresaId == null) {
			if (other.empresaId != null)
				return false;
		} else if (!empresaId.equals(other.empresaId))
			return false;
		if (tipoeventoextraId == null) {
			if (other.tipoeventoextraId != null)
				return false;
		} else if (!tipoeventoextraId.equals(other.tipoeventoextraId))
			return false;
		return true;
	}

	@Override
	public int compareTo(LeitorNaoFiscalVO o) {
		int retorno = getDatamov().compareTo(o.getDatamov());
		if (retorno == 0) {
			retorno = getNombempresa().compareTo(o.getNombempresa());
		}
		if (retorno == 0) {
			retorno = getDesctipoevento().compareTo(o.getDesctipoevento());
		}
		return retorno;
	}

}
